Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware.pref
Class MailPreferences.Warnings

    java.lang.Object
      portlets.compoze.groupware.pref.MailPreferences.Warnings

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  MailPreferences

public static class MailPreferences.Warnings
extends java.lang.Object
implements java.io.Serializable

This class represents warnings for users when sending messages.

See Also:
  Serialized Form

Constructor Summary
`MailPreferences.Warnings()` Constructor.

Method Summary
`boolean` | `getEmptyBody()` Checks to warn for an empty body.
`boolean` | `getEmptySubject()` Checks to warn for an empty subject.
`void` | `setEmptyBody(boolean bFlag)` Sets whether to warn for an empty body.
`void` | `setEmptySubject(boolean bFlag)` Sets whether to warn for an empty subject.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MailPreferences.Warnings

    public MailPreferences.Warnings()

  Constructor.

Method Detail

### getEmptySubject

    public boolean getEmptySubject()

  Checks to warn for an empty subject.

  Returns:
    `true` to warn for an empty subject; `false` otherwise

### setEmptySubject

    public void setEmptySubject(boolean bFlag)

  Sets whether to warn for an empty subject.

  Parameters:
    `bFlag` - `true` to warn for an empty subject; `false` otherwise

### getEmptyBody

    public boolean getEmptyBody()

  Checks to warn for an empty body.

  Returns:
    `true` to warn for an empty body; `false` otherwise

### setEmptyBody

    public void setEmptyBody(boolean bFlag)

  Sets whether to warn for an empty body.

  Parameters:
    `bFlag` - `true` to warn for an empty body; `false` otherwise

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.